[Overview][Types][Procedures and functions][Index] | Reference for unit 'GraphMath' (#lcl)

# EccentricAngle

EccentricAngle - get the Eccentric Angle of a given point on any non-rotated ellipse

## Declaration

Source position: graphmath.pp line 72

`function EccentricAngle(`
`PT: TPoint;`
`Rect: TRect`
`):Extended;`

## Description

Method: EccentricAngle

    Params:   Pt, Rect
      Returns:  Extended

      Use EccentricAngle to get the Eccentric( aka Radial ) Angle of a given
      point on any non-rotated ellipse. It is primarily for use in Coords2Angles.
      The result is in 1/16th of a degree. For example, a full circle equals
      5760 (16*360).  Zero degrees is at the 3 o'clock position.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.